cc.Class({
    "extends": cc.Component,

    properties: {
        label: {
            "default": null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function onLoad() {
        this.label.string = this.text;
        this.node.on(cc.Node.EventType.TOUCH_START, this.onTouchStart, this, true);
        this.node.on(cc.Node.EventType.TOUCH_MOVE, this.onTouchMove, this, true);
        this.node.on(cc.Node.EventType.TOUCH_END, this.onTouchEnd, this, true);
    },
    onTouchStart: function onTouchStart(event) {
        cc.log("HelloLayer onTouchStart");
    },
    onTouchMove: function onTouchMove(event) {
        cc.log("HelloLayer onTouchMove");
    },
    onTouchEnd: function onTouchEnd(event) {
        cc.log("HelloLayer onTouchEnd");
    },
    onButtonClick: function onButtonClick(sender, event) {
        cc.log("HelloLayer onButtonClick");
    }
    // // called every frame
    // update: function (dt) {

    // },
});